> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新设置

> 更新当前用户的偏好设置。所有字段均为可选——仅更改所提供的字段。

## 请求

<ParamField body="default_mode" type="string" optional>
  默认路由模式。可选值为：`auto`、`fast`、`think`、`code`、`research`、`image`、`video`、`roast`。
</ParamField>

<ParamField body="personality" type="string" optional>
  `"theo"` 或 `"none"`。
</ParamField>

<ParamField body="timezone" type="string" optional>
  有效的 IANA 时区字符串（例如：`"America/New_York"`）。
</ParamField>

<ParamField body="theo_branding" type="boolean" optional>
  启用或禁用 API 响应中的 Theo 品牌标识。
</ParamField>

## 响应

返回完整的更新后偏好设置（结构与 GET 相同）。

## 身份验证

需要 API 密钥或仪表盘会话。变更会被审计记录。

## 示例

```bash curl theme={null}
curl -X PATCH https://www.hitheo.ai/api/v1/settings \
  -H "Authorization: Bearer $THEO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "default_mode": "code",
    "timezone": "America/New_York"
  }'
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.